Bug 8917 - "net join" core dumps if -d10 is used
"net join" core dumps if -d10 is used
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: Client Tools
3.6.5
x64 Solaris
: P5 normal
: ---
Assigned To: Volker Lendecke
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 16:21 UTC by alex
Modified: 2013-09-23 12:01 UTC (History)
1 user (show)

See Also:


Attachments
Core file from net (27 bytes, text/plain)
2012-05-09 12:15 UTC, alex
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description alex 2012-05-07 16:21:35 UTC
Overview:
"net join -d10 -U admuser" in ADS mode dumps core in ads_try_connect

Solaris 10u10 / MIT krb5-1.10.1 / openLDAP-2.4.30 / bdb-5.1.29


Steps to Reproduce:

Compile and install samba using the following options :
./configure --with-ads  --with-ldap=/usr/product/openldap-2.4.30 --with-krb5=/usr/product/krb5-1.10.1 --with-included-popt

Use the following smb.conf :

[global]
        realm=CIB.NET
        workgroup=CIB.NET
        security=ADS
        encrypt passwords = yes
        bind interfaces only = true
        interfaces = msusersncs
        netbios name = msusersncs
        msdfs root = yes
<removed log, lock dir, shares, etc..>

run "net join -d10 -U admuser"

Additionnal info :
Same results whether I use SunStudio compiler, or gcc
Comment 1 alex 2012-05-07 16:23:00 UTC
core 'core' of 12045:   bin/net join -d10 -U admuser
 fe8463ec strlen   (87040bd, 8046948, 8046830, 0) + c
 fe8a4963 vsnprintf (8046870, 80, 87040b4, 8046948) + 73
 fe8a0d70 vasprintf (804691c, 87040b4, 8046948, 833eb95) + 34
 0833ebb6 ndr_print_debug_helper (87df1b0, 87040b4, 86c35c4, 0) + 32
 0833d792 ndr_print_ipv4address (87df1b0, 86c35c4, 0, 82389e9) + 2a
 08238a3c ndr_print_nbt_sockaddr (87df1b0, 86c3094, 8046c3c) + 60
 0823a60b ndr_print_NETLOGON_SAM_LOGON_RESPONSE_EX (87df1b0, 86c25e4) + 1a7
 0833edfc ndr_print_debug (823a464, 86c25e4, 8046bfc, 5) + 90
 082328dc pull_netlogon_samlogon_response (87dfa18, 87ddc10, 8046bf8, 825e410) + 1d0
 0825e4a9 cldap_netlogon_recv (87ddca8, 87ddc10) + a9
 0825e56b cldap_netlogon (87ddb40, 87ddc10, 8046bd0, 825c6b0) + 6f
 0825c87f ads_cldap_netlogon (87dda68, 87ddaa0, 87d9c48, 6, 8046d0c, 8788f5c) + 1e3
 0825cac0 ads_cldap_netlogon_5 (87dda68, 87ddaa0, 87d9c48, 8046e70) + 34
 08551fe9 ads_try_connect (87dd2b8, 8047120, 0, 85ea648) + 18d

[...]
Comment 2 alex 2012-05-09 12:15:12 UTC
Created attachment 7538 [details]
Core file from net
Comment 3 Alistair Leslie-Hughes 2013-09-20 09:22:28 UTC
(In reply to comment #0)

> [global]
>         realm=CIB.NET
>         workgroup=CIB.NET
>         security=ADS
>         encrypt passwords = yes
>         bind interfaces only = true
>         interfaces = msusersncs

interfaces has the syntax
interfaces = eth0 192.168.2.10/24 192.168.3.10/255.255.255.0
Comment 4 Alistair Leslie-Hughes 2013-09-23 09:31:48 UTC
This appears to be fixed already

Please upgrade to 3.6.10 or greater and try again.
...
Release Notes for Samba 3.6.10
December 10, 2012

Fix segfaults in "log level = 10" on Solaris (bug #9390)
Comment 5 Björn Jacke 2013-09-23 12:01:17 UTC
if an up-to-date version still doesn't work, please reopen this bug.